program TestTimedMessage;

{ Test the timed-message MessageBox procedure }

uses WinTypes, WinProcs, Strings, OWindows, ODialogs, TimerWin;

type
  THelloApp = object(TApplication)
    procedure InitMainWindow; virtual;
  end;

PMyWindow = ^TMyWindow;
TMyWindow = Object( TWindow )
  Procedure WMLButtonDown( Var msg: TMessage );
    virtual wm_first+wm_lbuttondown;
End;


Procedure TMyWindow.WMLButtonDown( Var msg: TMessage );
Begin
  TimedWindow( @self, 'Hello, Sports Fans!', '', 0.75 );
End;




{ Construct the THelloApp's MainWindow object }
procedure THelloApp.InitMainWindow;
begin
  MainWindow := New(PMyWindow, Init( nil, 'Timed Window Test' ));
end;

{ Declare a variable of type THelloApp }
var
  HelloApp: THelloApp;

{ Run the HelloApp }
begin
  HelloApp.Init( 'TimerTest' );
  HelloApp.Run;
  HelloApp.Done;
end.

